<?php
	echo("Formula Example\n");
	echo("Create a spreadsheet with formulas!\n\n");

	$pWorkbook = new Workbook("");
	$pWorksheet = $pWorkbook->GetWorksheetByIndex(0);
		
	for ($i = 0; $i < 5; $i++)
	{
		$pCell = $pWorksheet->GetCell(0, $i);
		$pCell->SetFloat($i * 2.34);
	}

	$pWorksheet->GetCell(1,0)->SetString("=SUM(A1:A5)");
	$pWorksheet->GetCell(1,1)->SetString("=AVERAGE(A1:A5)");

	$pWorksheet->GetCell(2,0)->SetFormula("=SUM(A1:A5)");
	$pWorksheet->GetCell(2,1)->SetFormula("=AVERAGE(A1:A5)");

		
	$pWorkbook->Save("FormulaExample.xls");

	$pWorkbookIn = new Workbook("");
	if ($pWorkbookIn->Load("FormulaExample.xls"))
	{
		$pWorksheetIn = $pWorkbookIn->GetWorksheetByIndex(0);
		$pCellIn = $pWorksheetIn->GetCell(2,1);
		echo("Formula: " . $pCellIn->GetFormula() . "\n");
	}
?>